Bug 55108 - linux loader halts after ide check
Summary: linux loader halts after ide check
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-25 18:26 UTC by Matt Smith
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:06:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Smith 2001-10-25 18:26:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When booting off of install medium the system stops loading/probing right 
after second set of ide lines


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot the computer with (Official) Redhat 7.1 CD
2.Boot the computer with 7.1 install floppy
3.Boot the computer with lilo after upgrading from 7.0 to 7.1
	

Actual Results:  It halted in the same spot

Expected Results:  linux loader should have continued to probe and load 
hardware then enter installation program

Additional info:

During the loading process
...
ide0: ...
ide1: ...
hda: ...(good)(6GB)
hdc: ...(good)(TEAC-524E CD-ROM)
hdd: ...(good)(SONY CRX-160E CD-RW)
     ide0...
     ide1...
(Then the system halts with no processor or hd response)

I have used redhat 7.0 on this system and it would load fine
I installed 7.0 and upgraded to 7.1 by switching cds in installation but 
after install it changes boot procedures back to the 7.1 ver.

Tech support could not solve problem by ide=noprobe and nousb boot 
commands.

the system is a AMD K6 w/ 64Mb RAM, 6G HD, CD-ROM, CD-RW, E2000T+ NIC, & 
USB

Comment 1 Arjan van de Ven 2001-10-25 18:49:39 UTC
Can you type "ide=nodma" on the syslinux prompt?
(eg on the VERY first screen type:
linux ide=nodma
)

Comment 2 Matt Smith 2001-10-26 16:53:04 UTC
i have also tried ide=nodma. i apoligise for forgetting to mention it.

Comment 3 Matt Smith 2001-11-03 20:15:49 UTC
IDE=NODMA did not work

Comment 4 Alan Cox 2003-06-07 19:06:47 UTC
Closing. The later IDE is a major rewrite so this bug doesn't contain any
information we can still usefully use. Of course if the IDE still doesnt work
with a current Linux on that box, please re-open it.


Note You need to log in before you can comment on or make changes to this bug.